Скоро Codeforces Round 1133 (Div. 1, Div. 2)! Регистрация здесь. ×

Автор yummy, 11 лет назад, перевод, По-русски

Привет, Codeforces!

Отборочный этап чемпионата КРОК 2016 состоится в пятницу 18-го марта в 19:35 (московское время).

После нашего крайнего раунда, Yang Liu (desert97), Michael Kural (pi37) и я поняли, что мы еще не завязали с подготовкой раундов. Мы объединили усилия с Kevin Sun (ksun48) и Daniel Chiu (waterfalls) чтобы предложить еще один раунд для вас.

Этот раунд будет сразу для обоих дивизионов и будет состоять из 7 задач. Те из вас, кто прошел Квалификацию и зарегистрирован на Чемпионат примут участие в официальной редакции, остальные — в неофициальной (открытой для всех). Обе редакции будут рейтинговыми. Как всегда, вас ждет путешествие на тракторе в Бовинию с фермерско-алгоритмическими приключениями в компании фермера Джона, Бесси и ее лучшего друга Элси!

Перед стартом хочется поблагодарить GlebsHP за блестящую работу в роли координатора. Глеб, без тебя не было бы никакой надежды провести этот раунд! Так же наша благодарность MikeMirzayanov и всей команде Codeforces за создание клевых платформ Codeforces и Polygon. Наконец, мы безмерно благодарны abacadaea за помощь с идеями задач, а winger и AlexFetisov за прорешку раунда.

Формально, будут проведены два раунда на одном и том же комплекте задач (оба раунда рейтинговые):

  • КРОК 2016 — Отборочный Раунд: для зарегистрированных на Чемпионат участников, кто прошел Квалификацию,
  • КРОК 2016 — Отборочный Раунд (рейтинговая неофиц. редакция): для всех остальных.

Вы можете принять участие в Раунде официально, если на момент регистрации в нем вы зарегистрированы на Чемпионат и решили в Квалификации хотя бы одну задачу. Еще раз напомним, что независимо от формы участия, ваш рейтинг будет обновлен по результатам раунда. Единственная различие — в случае успешного выступления официальные лучшие 50 участников будут приглашены на Финал в Москву. Организация поездки (билеты, гостиница, виза и всё остальное) — это полностью забота финалистов. Участникам Финала КРОК-2016 будут покрыты транспортные расходы на сумму не более 10000 рублей (предполагается проезд обыкновенным купейным вагоном, либо, по согласованию, эконом-перелет самолетом). До 25-го марта необходимо будет подтвердить желание и возможность принять участие в Финале. Участники Финала будут бороться за призы:

  • 1 место — 100000 рублей
  • 2 местo — 70000 рублей
  • 3 местo — 50000 рублей

Мы еще обновим пост информацией о разбалловке.

Надеемся, что вам понравятся задачи и наши коровоориентированные тексты. Удачи!

UPD3: Так как примерно 15 последних минут соревнования тестирующая система некорректно обрабатывала попытки по F в раунде "КРОК 2016 — Отборочный Раунд" (и это отдельная интересная история как так вышло), вы можете обжаловать ваше изменение рейтинга, если влияние этого инцидента на ваш результат велико. Если вы отсылали F в последние 15 минут и имеете веские аргументы почему некорректный вердикт (WA/RE на тесте 1) сильно повлиял на ваше место, то напишите MikeMirzayanov и ваше участие можно будет сделать нерейтинговым. Приносим извинения за эту накладку. Апелляцию надо написать до 02:59 20-го марта (московское время).

  • Проголосовать: нравится
  • +214
  • Проголосовать: не нравится

»
11 лет назад, скрыть # |
 
Проголосовать: нравится -117 Проголосовать: не нравится

Hope for hard data structures!

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +69 Проголосовать: не нравится

Will ratings be updated differently for both editions ? Or final rating changes would be based on combined leader-board of both editions ?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +10 Проголосовать: не нравится

MooooOOMOoOOOOMOoOOOoMOOoOooMOooOoOMOOooOOMOOoOoo

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +37 Проголосовать: не нравится

7 problems and 2 hours ? :(

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +62 Проголосовать: не нравится

I think that there should be one contest and you should just select first 50 registered participants to go to the finals.

»
11 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится -21 Проголосовать: не нравится

Oh thank god! A rated contest is here.

Btw, I registered, but I am unofficially participating. Will the round be rated for me then?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +25 Проголосовать: не нравится

finally rated round.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +61 Проголосовать: не нравится

После нашего крайнего раунда

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

В случае если кто-то из топ50 откажется от поездки на финал, будут ли приглашены дополнительные участники, занявшие последующие места?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +32 Проголосовать: не нравится

lol now it becomes really messy !

the registration for IndiaHacks 2016 is started i registered in Div1 contest what would happen if i become Div2 in this contest ?

»
11 лет назад, скрыть # |
← Rev. 3  
Проголосовать: нравится -49 Проголосовать: не нравится

nothing. thanks for reply and votes..

»
11 лет назад, скрыть # |
 
Проголосовать: нравится -7 Проголосовать: не нравится

is there a way to submit my solution after the contest is finished ?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +60 Проголосовать: не нравится

А если я в обоих зарегался, у меня рейтинг на x2 изменится?

»
11 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +123 Проголосовать: не нравится

I think the division of the contest in two is not a good idea.

Right now I can opt to register to either of the two contests. I could register to the Unofficial Round OR I could sign up to CROC Championship and then register to the Official Round, because I passed Qualifications. Basically, I can pick who I want to compete against. This isn't fair.

Couldn't you make a single contest and then filter (or just handpick) the top 50 participants that meet the requirements of participating in the Final Round?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

Hopefully I can handle these problems lol. Otherwise I guess I'll be dropping back to Newbie again.

»
11 лет назад, скрыть # |
← Rev. 3  
Проголосовать: нравится 0 Проголосовать: не нравится

Good luck

»
11 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +6 Проголосовать: не нравится

Могут ли авторы сказать, как они валят хеши в задаче С? Я выбирал не самые стандартные модули и не самые стандартные основания, но все равно большая часть валится на разных тестах. Я знаю методы подбора антитестов против конкретных параметров, но чтобы по случайным модулям валилось — вижу впервые. UPD: Не в тот пост, это про задачу С из квалификации.

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +54 Проголосовать: не нравится

    Кажется, тут заслуга не авторов, а парадокса дней рождений. Вы используете единственный модуль порядка 109 на тесте, на котором у вас 105 различных ключей. Вероятность что какие-то два дадут коллизию очень приличная (больше, чем , например). Я даже как-то писал об этом развёрнутый комментарий: link.

    • »
      »
      »
      11 лет назад, скрыть # ^ |
      ← Rev. 2  
      Проголосовать: нравится 0 Проголосовать: не нравится

      согласен, для 100000 разных строк вероятность ОТСУТСТВИЯ коллизий: ( (2^32-1)/(2^32) ) ^ ( 100000^2 ) меньше 10%

      Для 200000 разных строк вероятность ОТСУТСТВИЯ коллизий ( (2^32-1)/(2^32) ) ^ ( 200000^2 ) меньше 0,01%

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +30 Проголосовать: не нравится

I passed the qualification round

and now when I register for the Unofficial Edition I get a message :

please register to the official edition , but I don't want :3

why you don't make one contest ? :\

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Seems like not much people are participating compare to other rounds,that means harder to climb rating Xp. But I will participate anyway. Hope this contest go well,nice and smooth for the round organizer and participants :)

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +12 Проголосовать: не нравится

will you merge the standings for calculate ratings ? or ratings will be calculated separately ?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +78 Проголосовать: не нравится

My performance on Codeforces is getting worse:

I'm afraid today I can solve only 2 problems :((

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +28 Проголосовать: не нравится

I am hoping to see tourist surpass rating 4000.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I sure hope I won't get a rating change smaller than -40! (that's an exclamation mark, not a factorial)

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +14 Проголосовать: не нравится

Спасибо за разбалловку!

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

not able to submit E

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +165 Проголосовать: не нравится

The best problemset I've seen on Codeforces during the last time.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +71 Проголосовать: не нравится

How is it I got WA on pretest #1 in problem F?

I did a custom invocation and the answer was OK. Does pretest 1 differ from the one in the statement?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +22 Проголосовать: не нравится

Systest when?

»
11 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +5 Проголосовать: не нравится

3 WA's on 3rd question. Is ternary search the solution? Also for 4th question, finding longest acyclic path in a dag and binary search? Would this work?

  • »
    »
    11 лет назад, скрыть # ^ |
    ← Rev. 2  
    Проголосовать: нравится +2 Проголосовать: не нравится

    For 3rd question, I used a sliding window for O(N) time. I'm not sure how ternary search would work.

    For the fourth, I binary searched until the graph was a valid one (that there was a valid ordering of nodes), but I think the way I checked graphs might be wrong. I found the winner of the graph (node without any parents) and continuously found the next best rapper.

    I got stuck on D for ~20 minutes because of a bug in my binary search T_T.

    • »
      »
      »
      11 лет назад, скрыть # ^ |
       
      Проголосовать: нравится +6 Проголосовать: не нравится

      I think you can check if unique ordering appears by searching for a hamiliton graph on that DAG, which equals topo sort while you can never find more than one node to remove each time.

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +3 Проголосовать: не нравится

    4-th: no binsearch. Longest path + review edges and stop when all edges on the path viewed

»
11 лет назад, скрыть # |
← Rev. 3  
Проголосовать: нравится +10 Проголосовать: не нравится

Seems like tourist is not going to get his 4k rating. UPD: He is. UPD2: He isn't. :(

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

How to do E?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +32 Проголосовать: не нравится

You must be kidding...

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can robot rapping ordering competition be solved with dsu? :(

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +12 Проголосовать: не нравится

At the end of the match, I received a message saying that your solution has been hacked or resubmitted. It had killed me until I realized after refreshing page a lot of times that, not my solution, but the solution I was viewing was hacked or resubmitted.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +38 Проголосовать: не нравится

Something weird just happened, i sent my F code. it was correct for first 2 test. But i got wrong answer in pretest 1. Are you guys sure there is a checker?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +7 Проголосовать: не нравится

Давай tourist 4000+

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +5 Проголосовать: не нравится

i solved C with ternary search can someone propose an alternative approach ?

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +3 Проголосовать: не нравится

    I applied sliding window and then binary search. I think I did some overkill with my bs as I did it two times for odd length and four times for even length, but wanted to be absolutely sure... Lets see what happens after the system testing .. an overkill or an overwaste :v

    • »
      »
      »
      11 лет назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      The key is just to try ALL possible farmer's positions and for each of them cows' positions are easy to compute with a window sliding along with farmer's position

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +9 Проголосовать: не нравится

    I used binary search on covered range r. Then for each possible position i of the farmer in the array I checked if [i-r, i+r] could accommodate k cows and the farmer. With an array of sums it's possible to check each position in O(1).

  • »
    »
    11 лет назад, скрыть # ^ |
    ← Rev. 4  
    Проголосовать: нравится +9 Проголосовать: не нравится

    How you used ternary search?

    This is my approach-prefix sum of zeroes from left to right. Fill Closest_left_0_of_i array and Closest_right_0_of_i array, then use sliding window(or simply do an l=upper_bound() on zeroes array for each i where zeroes[i]>=k+1) to find the range [l,(r=i)] where they can fit, find midpoint of this range, and check the
    min( max(|l-Closest_left_0_of_i[mid]|,|r-Closest_left_0_of_i[mid]|),max(|l-Closest_right_0_of_i[mid]|,|r-Closest_right_0_of_i[mid]|).
    Take minimum over all i, and also for mid+1 in cases where l+r is odd.

    ps: Formatting here is a little annoying. One can't simply get to a new line with return alone.

  • »
    »
    11 лет назад, скрыть # ^ |
    ← Rev. 10  
    Проголосовать: нравится +2 Проголосовать: не нравится

    let "lf" be the left most room has been booked and "rh" right most and c the place of owner of cows.so the answer of problem( f(c) ) will be max( c — lf , rh — c).

    next[i] means next 0 room for room i.(left to right)

    first "lf" is the first 0 and "rh" is (k+1)th 0 and c is "lf" and do it until "rh" overflows:

    while( f(c) <= f( next[c] ) )  set c next[c] and set ans min(ans , f(c) )
    
    then set lf = next[lf] and rh = nex[rh]

    so you can calculate the answer with O(N)

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

The last two minutes were very intense... we got the only two "correct" submissions for the last problem during that short time. :P Anyway, this contest was a huge fail for me. :/

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I have a query. If I submit a solution and it gets WA in pretest in test 2 and test 2 is included in samples. Will 100 points still be detected from my score?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +11 Проголосовать: не нравится

I was trying to hack this solution for problem 645C - Enduring Exodus

Code

My hope was on "v.erase(v.begin(), v.begin() + 1);"

Is it true, that std::vector can erase first element faster than in O(size) time? Otherwise, I don't know why test

100000 50000

0000...000

didn't fail this solution... =(

Can anyone pls help?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +9 Проголосовать: не нравится

Tourist has now mastered the art of mind games! Again a last minute submission.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +79 Проголосовать: не нравится

Пытался сделать взлом по задаче С, TL в условии 1с, в логе взлома написано — Time:1450, вердикт — Неудачная попытка взлома

Скрин
»
11 лет назад, скрыть # |
 
Проголосовать: нравится +52 Проголосовать: не нравится

About problem F, I think that all contestants who submitted a correct solution but got WA on Pretest 1 should get the score for the problem.

Please check who submitted the problem and got WA #1, then run those solution with full test case and see if they get correct answers within the time limit. If so, all that people should get score for the problem. It would be really unfair otherwise.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +113 Проголосовать: не нравится

We are sorry but systesting will be delayed for a while. At the end of the contest we've noticed some technical issues that affected some participants. System testing and rating change is delayed until the full investigation of this case.

We decided to make the tomorrow round combined for both divisions, so you should be able to start to register.

We apologize for the inconvenience.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +114 Проголосовать: не нравится

Per Codeforces tradition, we'll update this post with the score distribution just before the contest.

this is exactly codeforces tradition; saying that but then not updating anything

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Auto comment: topic has been updated by GlebsHP (previous revision, new revision, compare).

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +15 Проголосовать: не нравится

Pending system testing, same old story :3

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can somebody explain me problem D? I had only O(N^2) idea and then i stucked.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

My idea for D (couldnt implement it tho):

Add all edges in the graph, then check if only 1 vertex has in-degree 0 (lets call it source). If there is no source or there are multiple sources, answer is -1.

Else, find farthest vertex from source (lets call it sink) using dp. If the distance from source to sink is N-1 then print the greatest edge in the path, else print -1

Is this correct?

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

lol is solved D with binsearch + something like dijkstra or prim so it's O(nlog2n) not sure if it passes

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +27 Проголосовать: не нравится

То чувство, когда заметил #define int long long

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +8 Проголосовать: не нравится

If it was some problems with the system testing, does this round remain rated ?

»
11 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

What is wrong in this solution for problem D? I used binary search + topological sort. Verdict : Wrong answer on pretest 11. My Code

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    As I can see, your isDist returns true iff there are no cycles? E.g. consider test 4 3 1 2 1 3 1 4 It looks to me your code will not output -1 though it should.

    • »
      »
      »
      11 лет назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      My code give output "-1" and i think it's correct.In my isDist function when i'm doing topological sort,if i find more than 1 element in queue that means we can choose next element in more than one ways.So the topological sort must not be unique.So i return false.

»
11 лет назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +18 Проголосовать: не нравится

I made 6 submissions by F and got 6 WA1. Now all my submissions are passed. Will you ignore my last 5 submissions?

UPD: Thanks, they are ignored.

»
11 лет назад, скрыть # |
← Rev. 7  
Проголосовать: нравится -7 Проголосовать: не нравится

After F's judged again i got WA in pretest 5. I found a bug after ~10 sec after WA

»
11 лет назад, скрыть # |
 
Проголосовать: нравится -13 Проголосовать: не нравится

Solution for problem c: First precompute in o(n) for each place x "how many cows can I allocate if i own all places from 0 to x inclusive?" Now we have the capacity to ask in 0(1) how much cows I can allocate if I own places from any (a,b) just getting P[b]-P[a-1]. And to actually solve the problem we do a binary search "can I allocate cows making max distance to y?" We can answer this question in o(n). Test each position for the farmer's place and test if the amount of cows from the position -y to the position+y fits in k.

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Solution for problem c:

    First compute in o(n) for each room x "how many cows can I allocate if I occupy all places [0,x] inclusive?" store them as P[x]

    Now we have the capacity to ask in 0(1) how many cows I can allocate if I own places from any [a,b] if we calculate P[b] - P[a - 1].

    And to actually solve the problem we do a binary search can I allocate cows making max distance of y? We can answer this question in o(n). Test each position for the farmer's place (called W) checking if the amount of cows in the range [W - y, W + y] is higher or equal than k+1.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +18 Проголосовать: не нравится

I am waiting for one day that contests come without delay :-"

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

What is the hack test for B? I solved it, buy I can't see some 'tricky' tests...

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +41 Проголосовать: не нравится

Enable upsolving please!

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +12 Проголосовать: не нравится

Do you forget to give permission to see other's solutions after the contest? If not why is it so delayed? This was the case for the last contest as well.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

дорешать задачи нельзя?

»
11 лет назад, скрыть # |
← Rev. 3  
Проголосовать: нравится -10 Проголосовать: не нравится

Забавная вещь. У меня С прошла претесты. Судя по вердиктам(ВА на претесте 10) в комнате, в этой задаче было не меньше 10 претестов. На систестах у меня С упала на тесте 10! Решение Это из-за того что у меня есть переменная j вне цикла и также есть переменная j в цикле for(;;)?

UPD: Оказывается тест 10 на систестах и претест 10 отличаются.

UPD2: Решено, там были баги в индексах.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится -20 Проголосовать: не нравится

Seriously man! You don't change ratings, you don't let us upsolve, just sitting here refreshing cause too fresh to go to sleep. Stop wasting my time

»
11 лет назад, скрыть # |
 
Проголосовать: нравится +17 Проголосовать: не нравится

So EvenImage was able to solve all problems in just 1:24 , this guy is the next big thing.

»
11 лет назад, скрыть # |
 
Проголосовать: нравится -26 Проголосовать: не нравится

It seems like the ratings are finally updated! tourist got Problem G wrong! Petr went up 181 points and EvenImage went up 137 points, while tourist's rating went up, however only 14 points. It would have been interesting to see if these would be different if EvenImage had competed in contest as tourist and Petr...

»
11 лет назад, скрыть # |
← Rev. 3  
Проголосовать: нравится +2 Проголосовать: не нравится

Я решил сделать рискованную попытку по задаче С, не доказав почему мое решение будет работать. Оно зашло. Помогите пожалуйста разобраться, почему это: http://codeforces.me/contest/645/submission/16800705 работает. Я ищу указателем, куда могу поставить вторую корову, а потом беру медиану между номером нуля первой коровой и нуля второй коровы и смотрю все нули, номер которых отличается не более чем на sqrt(n) от медианы.

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится +15 Проголосовать: не нравится

    Ну понятно, что это решение некорректно. Вокруг медианы не всегда будет оптимальный ответ. Тест, на котором это упадёт устроен например так:

    '0'*49998 + '10' + '1'*499998 + '0'

    Медиана в такой строке будет лежать около элемента 25000, блуждать вокруг неё нам не поможет. Конкретно ваше решение на этом тесте даёт неправильный ответ.

»
11 лет назад, скрыть # |
← Rev. 3  
Проголосовать: нравится +21 Проголосовать: не нравится

My submission got AC, but i found test, where my code failed

Problem : 645D - Robot Rapping Results Report

7 6

1 2

2 3

3 4

4 5

3 6

6 7

My output: 6

Right answer: -1

Code : 16818709

»
11 лет назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Serious question: does the final round have English problem statements?

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Same question. This is what I found in the announcement page:

    "The official language of the competition is Russian.".

    But I think if there will also be a parallel round they will also have the statements in English.

  • »
    »
    11 лет назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    No. I mean the official round. The availability of English statements in final round will affect my decision of going to Moscow or not.

    • »
      »
      »
      11 лет назад, скрыть # ^ |
       
      Проголосовать: нравится +10 Проголосовать: не нравится

      It will be problem statements in English too. But I'd like to remind that your trip is completely on you (including visa, tickets, hotel booking and all other routine). For example, I do not think CROC can send you official invitation for visa, because it is formal process in Russia (including registration in special bureaucratic institution). In 2013 (or 2012?) rng_58 visited Finals and we were excited his visit. Hope to see foreigners on the Finals this year :-)